
.top-banner {
    display: flex;
  }
  .top-banner__content, .top-banner__image-wrapper {
    width: 50%;
  }
  .top-banner__image-wrapper {
    position: relative;
  }
  .top-banner__image {
    position: absolute;
    z-index: -1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .top-banner__content {
    background-color: var(--mk-bg-color);
  }
  .top-banner__content-inner {
    max-width: 600px;
    margin-left: auto;
    padding: 70px 58px 26px 16px;
  }
  .top-banner__headline {
    font-size: 46px;
    line-height: 1.3;
    font-weight: 700;
  }
  .top-banner__text {
    font-size: 20px;
    margin-top: 30px;
  }
  .top-banner__button-wrapper {
    display: inline-block;
  }
  .top-banner__button {
    margin-top: 26px;
  }
  .top-banner__button-description {
    font-size: 13px;
    text-align: center;
    margin-top: 16px;
  }
  .top-banner__usp {
    display: flex;
    flex-wrap: wrap;
    font-size: 20px;
    margin-top: 34px;
  }
  .top-banner__usp-item {
    display: flex;
    align-items: center;
  }
  .top-banner__usp-icon {
    height: 25px;
    margin-right: 8px;
  }
  .top-banner__usp-item + .top-banner__usp-item {
    margin-left: 28px;
  }
  .top-banner__footer {
    display: flex;
    margin-top: 8px;
  }
  .top-banner__viabill {
    padding-top: 30px;
    font-size: 16px;
    font-weight: 600;
  }
  .top-banner__viabill-image {
    margin-top: 16px;
  }
  .top-banner__discount-wrapper {
    position: relative;
  }
  .top-banner__discount-wrapper::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 105%;
    width: 660px;
    height: 468px;
    background-image: url("../images/top-banner/lady-decor.png");
    background-image: image-set(
        url("../images/top-banner/lady-decor.webp") type("image/webp"),
        url("../images/top-banner/lady-decor.png") type("image/png")
    );
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
  }
  .top-banner__discount {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 200px;
    height: 200px;
    padding: 40px;
    margin-left: 24px;
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1.2px;
    color: var(--mk-light-text-color);
    text-align: center;
    background-image: url("../images/top-banner/discount-bg.png");
    background-image: image-set(
        url("../images/top-banner/discount-bg.webp") type("image/webp"),
        url("../images/top-banner/discount-bg.png") type("image/png")
    );
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    transform: rotate(-12deg);
  }
  .top-banner__discount-text {
    font-size: 51px;
    line-height: 1;
    font-weight: 900;
    letter-spacing: 0.5px;
    margin-bottom: 2px;
  }
  
  @media (max-width: 1100px) {
    .top-banner__content-inner {
      position: relative;
    }
    .top-banner__discount-wrapper {
      position: static;
    }
    .top-banner__discount-wrapper::after {
      width: 400px;
      height: 300px;
    }
  }
  @media (max-width: 1000px) {
    .top-banner__headline {
      font-size: 30px;
    }
    .top-banner__text {
      font-size: 15px;
    }
  }
  @media (max-width: 850px) {
    .top-banner {
      flex-direction: column-reverse;
    }
    .top-banner__image-wrapper, .top-banner__content {
      width: auto;
    }
    .top-banner__image {
      position: static;
    }
    .top-banner__content-inner {
      max-width: none;
      padding: 40px 15px;
      text-align: center;
    }
    .top-banner__usp, .top-banner__footer {
      justify-content: center;
    }
    .top-banner__discount-wrapper::after {
      /* content: none; */ 
      z-index: 1;
      width: 300px;
      height: 230px;
      bottom: 100%;
      left: 0;
    }
  }
  @media (max-width: 600px) {
    .top-banner__usp {
      flex-wrap: wrap;
    }
    .top-banner__footer {
      display: block;
    }
    .top-banner__viabill-image {
      margin: 20px auto;
    }
    .top-banner__image-wrapper {
      background-color: var(--mk-bg-color);
    }
    .top-banner__image {
      width: 100%;
      height: 250px;
      margin-left: auto;
    }
    .top-banner__button {
      font-size: 16px;
      padding: 14px;
    }
  }
  .about {
    padding: 54px 0 70px;
    text-align: center;
  }
  .about__subheadline {
    font-size: 20px;
  }
  .about__steps {
    display: flex;
    justify-content: space-evenly;
    font-size: 20px;
    line-height: 1;
    font-weight: 500;
    margin-top: 64px;
  }
  .about__step {
    max-width: 160px;
  }
  .about__step-icon {
    margin: 0 auto 24px;
    height: 86px;
  }
  .about__wrapper {
    display: flex;
    max-width: 600px;
    margin: 40px auto 0;
  }
  .about__image {
    max-width: 300px;
  }
  .about__text {
    max-width: 1116px;
    margin: 42px auto 0;
    font-size: 18px;
    width: 100%;
    text-align: left;
  }
  .about__button {
    margin-top: 45px;
  }
  
  @media (max-width: 600px) {
    .about__headline {
      margin-bottom: 16px;
    }
    .about__steps {
      flex-wrap: wrap;
    }
    .about__step {
      padding: 10px;
      max-width: none;
      width: 33.3%;
      font-size: 16px;
    }
    .about__step-icon {
      height: 40px;
    }
    .about__wrapper {
      display: block;
    }
    .about__image {
      margin: 0 auto;
      max-width: 100%;
    }
    .about__button {
      padding: 14px;
      font-size: 16px;
    }
  }
  .order-steps {
    background-color: var(--mk-bg-color);
    padding: 36px 0 90px;
  }
  .order-steps__list {
    display: flex;
    justify-content: space-evenly;
    position: relative;
  }
  .order-steps__list::before {
    content: "";
    position: absolute;
    bottom: 0;
    right: 90%;
    width: 395px;
    height: 275px;
    background-image: url("../images/order-steps/lady-decor.png");
    background-image: image-set(
        url("../images/order-steps/lady-decor.webp") type("image/webp"),
        url("../images/order-steps/lady-decor.png") type("image/png")
    );
    
  }
  .order-steps__step {
    position: relative;
    z-index: 1;
  }
  .order-steps__step::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, -50%);
    width: 225px;
    height: 225px;
    background-image: url("../images/order-steps/step-decor.png");
    background-image: image-set(
        url("../images/order-steps/step-decor.webp") type("image/webp"),
        url("../images/order-steps/step-decor.png") type("image/png")
    );
    background-size: 100% 100%;
  }
  .order-steps__step-inner {
    position: relative;
    z-index: 1;
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 206px;
    height: 206px;
    padding: 40px;
    font-size: 17px;
    line-height: 1.1;
    text-align: center;
    color: var(--mk-light-text-color);
    background-color: var(--mk-main-color);
    border-radius: 50%;
  }
  .order-steps__step-icon {
    margin-bottom: 14px;
  }
  .order-steps__step:nth-child(2)::before {
    transform: translate(-50%, -50%) rotate(265deg);
  }
  .order-steps__step:nth-child(3)::before {
    transform: translate(-50%, -50%) rotate(170deg);
  }
  
  @media (max-width: 768px) {
    .order-steps__list {
      flex-wrap: wrap;
    }
    .order-steps__step {
      margin: 10px;
    }
  }
  @media (max-width: 600px) {
    .order-steps__list {
      padding-bottom: 245px;
    }
    .order-steps__list::before {
      left: 50%;
      right: auto;
      transform: translateX(-50%);
      background-size: contain;
      width: 320px;
      height: 220px;
    }
  }
  .menus {
    background-image: url("../images/menus/menus-bg.png");
    background-image: image-set(
        url("../images/menus/menus-bg.webp") type("image/webp"),
        url("../images/menus/menus-bg.png") type("image/png")
    );
    background-size: cover;
    padding: 65px 0 80px;
    text-align: center;
  }
  .menus__headline, .menus__subheadline {
    color: var(--mk-light-text-color);
  }
  .menus ol {
    list-style: none;
  }
  .menus__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 15px;
    text-align: left;
  }
  .menus__menu {
    display: flex;
    flex-direction: column;
  }
  .menus__menu-headline {
    padding: 14px 16px;
    font-size: 21px;
    line-height: 1;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--mk-light-text-color);
    background-color: var(--mk-main-color);
    border-radius: 10px 10px 0 0;
  }
  .menus__menu-list {
    background-color: var(--mk-main-bg-color);
    padding: 0 12px 12px;
    border-radius: 0 0 10px 10px;
    flex-grow: 1;
  }
  .menus__menu-item {
    padding: 12px 5px;
  }
  .menus__menu-item + .menus__menu-item {
    border-top: 1px solid #CCCCCC;
  }
  .menus__menu-item-name {
    font-weight: 700;
    color: var(--mk-main-color);
  }
  .menus__menu-item.menus__menu-item--has-star .menus__menu-item-name {
    position: relative;
  }
  .menus__menu-item.menus__menu-item--has-star .menus__menu-item-name::after {
    content: "";
    display: inline-block;
    height: 14px;
    width: 14px;
    margin-left: 2px;
    background-image: url("../images/icons/star.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
  }
  .menus__button {
    margin-top: 85px;
  }
  
  @media (max-width: 900px) {
    .menus__list {
      grid-template-columns: repeat(2, 1fr);
    }
  }
  @media (max-width: 450px) {
    .menus .container {
      max-width: 100%;
    }
    .menus__list {
      display: block;
    }
    .menus__headline, .menus__subheadline {
      padding-left: 15px;
      padding-right: 15px;
    }
    .menus__menu {
      padding: 0 15px;
    }
    .menus__button {
      margin-left: 15px;
      margin-right: 15px;
      margin-top: 20px;
      padding: 14px;
      font-size: 16px;
    }
  }
  section.usp {
    background-color: var(--mk-bg-color);
    padding: 65px 0 85px;
  }
  
  .usp__list {
    display: flex;
    justify-content: space-around;
    text-align: center;
    flex-wrap: wrap;
  }
  
  .usp__item-icon-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 95px;
    height: 95px;
    padding: 16px;
    margin: 0 auto 40px;
    background-color: var(--mk-main-bg-color);
    border-radius: 50%;
    border: 3px solid #000;
  }
  
  .usp__item-headline {
    font-size: 23px;
    line-height: 1;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 36px;
  }
  
  .usp__item-content {
    font-size: 21px;
  }
  .usp__item-content ul {
    list-style: disc;
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  .usp__item-content li {
    display: inline-block;
    position: relative;
  }
  .usp__item-content li::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 14px;
    left: -12px;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #000;
  }
  .usp__item-content li + li {
    margin-top: 10px;
  }
  .usp__description {
    margin: 40px auto 0;
    max-width: 600px;
    text-align: center;
  }
  
  @media (max-width: 600px) {
    section.usp .usp__list {
      display: block;
    }
    section.usp .usp__item + .usp__item {
      margin-top: 40px;
    }
  }
  .faq {
    padding: 70px 0 100px;
    color: var(--mk-light-text-color);
    background-color: var(--mk-main-color);
  }
  .faq__headline {
    color: inherit;
    margin-bottom: 80px;
  }
  .faq__sections {
    display: flex;
    justify-content: space-between;
  }
  .faq__section {
    max-width: 360px;
    width: 100%;
  }
  .faq__section-headline {
    font-size: 23px;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1;
    margin-bottom: 20px;
    padding-left: 16px;
  }
  .faq__section-item + .faq__section-item {
    margin-top: 10px;
  }
  .faq__details {
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    padding: 0 15px;
  }
  .faq__details-summary {
    padding: 16px 0;
    font-size: 18px;
    line-height: 1;
    list-style: none;
    position: relative;
    cursor: pointer;
  }
  .faq__details-summary::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    display: inline-block;
    width: 10px;
    height: 5px;
    background-color: #FFF;
    clip-path: polygon(0% 0%, 100% 0%, 50% 100%);
  }
  .faq__details[open] .faq__details-summary::after {
    transform: translateY(-50%) rotate(180deg);
  }
  .faq__details-content {
    padding-bottom: 16px;
  }
  
  @media (max-width: 1150px) {
    .faq__sections {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-gap: 15px;
    }
  }
  @media (max-width: 950px) {
    .faq__sections {
      grid-template-columns: repeat(2, 1fr);
    }
  }
  @media (max-width: 600px) {
    .faq__headline {
      margin-bottom: 40px;
    }
    .faq__sections {
      grid-template-columns: 1fr;
    }
    .faq__section {
      max-width: 100%;
    }
    .faq__section + .faq__section {
      margin-top: 40px;
    }
  }
  .calculator {
    padding-top: 54px;
  }
  .calculator__form {
    padding-bottom: 70px;
    max-width: 500px;
    margin: 0 auto;
    position: relative;
  }
  .calculator__form::before {
    content: "";
    position: absolute;
    bottom: 0;
    right: 101%;
    width: 520px;
    height: 350px;
    background-image: url("../images/calculator/calculator-decor.png");
    background-image: image-set(
        url("../images/calculator/calculator-decor.webp") type("image/webp"),
        url("../images/calculator/calculator-decor.png") type("image/png")
    );
    background-size: contain;
    background-position: bottom center;
    background-repeat: no-repeat;
  }
  .calculator__input-label {
    display: block;
    padding-left: 10px;
    margin-bottom: 5px;
  }
  .calculator__input {
    width: 100%;
  }
  .calculator__dropdown {
    margin-bottom: 30px;
  }
  .calculator__input:focus-visible {
    border-color: var(--mk-main-color);
  }
  .calculator__pricelist {
    width: 100%;
    border-collapse: collapse;
  }
  .calculator__pricelist td {
    padding: 16px 10px;
  }
  .calculator__pricelist td:last-child {
    text-align: right;
  }
  .calculator__delivery {
    font-weight: 700;
    color: #59B64A;
  }
  .calculator__delivery td {
    background-color: #EEF8ED;
  }
  .calculator__delivery td:first-child {
    border-radius: 4px 0 0 4px;
  }
  .calculator__delivery td:last-child {
    border-radius: 0 4px 4px 0;
  }
  .calculator__button-wrapper {
    text-align: center;
  }
  .calculator__button {
    margin-top: 42px;
  }

  @media (max-width: 600px) {
    .calculator__form {
      padding-bottom: 315px;
    }
    .calculator__form::before {
      width: 320px;
      height: 295px;
      left: 50%;
      right: auto;
      transform: translateX(-50%);
    }
    .calculator__button {
      font-size: 16px;
      padding: 14px;
    }
  }